Create Versions of Picklists

Create versions of picklists in Vlocity Product Console by specifying the ID of the picklist and the version label in the request body.

POST /v2/epc/picklists/{picklist-ID}/versions

Remote Method

createVersionPicklist

REST Handler

APIPicklistVersionRestHandler

Apex Remote Service

PCAppHandler

Package

Communication (vlocity_cmt)

API Parameters and Response Format

For API parameter names and descriptions, see the Swagger (OpenAPI) reference documentation for Industries EPC REST APIs.

Resource Information

Response Format JSON
Resource URL /services/apexrest/{namespace}/v2/epc/picklists/{picklists-ID}/versions

Example Request

POST /v2/epc/picklists/01t3h00000214uLAAQ/versions

{
  "epcRequest": {
    "entity": {
        "Id": "a313h000000rtuJAAQ",
        "vlocity_cmt__VersionLabel__c": "Version-2"
    }
  }
}

Example Result

{
    "epcResponse": {
        "entities": [
            {
                "entity": {
                    "attributes": {
                        "type": "vlocity_cmt__Picklist__c",
                        "url": "/services/data/v53.0/sobjects/vlocity_cmt__Picklist__c/a313h000000rtuOAAQ"
                    },
                    "CurrencyIsoCode": "USD",
                    "IsDeleted": false,
                    "LastReferencedDate": "2021-11-12T10:32:15.000+0000",
                    "LastViewedDate": "2021-11-12T10:32:15.000+0000",
                    "Name": "Picklist-Example-02",
                    "OwnerId": "0053h000002UGCUAA4",
                    "SystemModstamp": "2021-11-12T10:32:15.000+0000",
                    "vlocity_cmt__Code__c": "Picklist-Example-02",
                    "vlocity_cmt__DataType__c": "Text",
                    "vlocity_cmt__GlobalGroupKey__c": "090c692b-e78a-d460-2786-f423ff08af94",
                    "vlocity_cmt__GlobalKey__c": "969fcdfc-c2d5-dabd-93b3-bd82194b435b",
                    "vlocity_cmt__IsActive__c": true,
                    "vlocity_cmt__IsShared__c": false,
                    "vlocity_cmt__LifecycleStatus__c": "Draft",
                    "vlocity_cmt__VersionLabel__c": "Version-2",
                    "Id": "a313h000000rtuOAAQ"
                }
            }
        ],
        "overallResult": "success"
    }
}